サポート » インストール » grant all privileges …

  • grant all privileges on *.* to wordpress@”%” identified by “password”;
    を実行すると、
    ERROR 1045 (28000): Access denied for user ‘root’@’localhost’ (using password: YES)
    とエラーが出ます。
    気になっているのが、プロンプト前に[(none)] mysql>
    と出ることです。

    ググって、「mysql_safe」を実行してみたのですが、ダメでした。
    「ERROR 1045 (28000): Access denied for user ‘root’@’localhost’」でググっても、いい解答が載ってるサイトが見つかりませんでした。

    どこを直せばいいのか、ご存じの方、お教えください。

4件の返信を表示中 - 1 - 4件目 (全4件中)
  • モデレーター Daisuke Takahashi

    (@extendwings)

    エラーの意味としては、root@localhostユーザのパスワードが間違っているかパスワードによるログインが認められていないようです。
    これはWordPressには全く関係のないMySQLの設定の話ですので細かくは言いませんが、MySQLをアップデートした直後からこの症状が発生したのではないでしょうか。
    MySQLのドキュメントを注視すると、mysql_upgradeコマンドについて詳細があります。 http://dev.mysql.com/doc/refman/5.6/en/mysql-upgrade.html

    追記:一般的にはroot権限(管理者権限)のユーザでmysql_upgrade -u root -pを実行すれば十分です。

    スレッド開始 mafeng

    (@mafeng)

    ご回答ありがとうございます。
    参考URLためになりました。
    ご推察の通り、MySQLをアップデートした直後からこの症状が発生しました。
    なんどかyum removeやyum installを繰り返したら、# yum update mysql-server 実行時に

    Package(s) mysql-server available, but not installed.
    No Packages marked for Update

    と出ました。
    WordPressのコミュニティなので、あまり specific な回答をいただくのもアレですので、もしご存知でしたら、適当なサイト・コミュニティをお教えいただくとありがたいです。

    モデレーター Daisuke Takahashi

    (@extendwings)

    日本語に限定すれば、MySQLの日本ユーザ会が一番なのでしょうけれど、このMLに参加していないので詳しいことは分かりません。
    英語ができるのであればDatabase Administrators Stack Exchangeに行けば多くの情報があります。

    スレッド開始 mafeng

    (@mafeng)

    http://dev.mysql.com/doc/refman/5.6/en/mysql-upgrade.html
    と、そこからのリンクを読みました。
    インストラクション通りに実行したら無事WordPressをインストールできました。
    ありがとうございます

4件の返信を表示中 - 1 - 4件目 (全4件中)
  • トピック「grant all privileges …」には新たに返信することはできません。